#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 solution for password management
Name:           kwallet
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires: kf5-macros
BuildRequires: libgcrypt-devel

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: pkgconfig(Qt5Test)
BuildRequires: pkgconfig(Qt5Xml)

BuildRequires: kdbusaddons-devel >= %version
BuildRequires: kservice-devel >= %version
BuildRequires: kwindowsystem-devel >= %version
BuildRequires: knotifications-devel >= %version
BuildRequires: kcoreaddons-devel >= %version
BuildRequires: kauth-devel >= %version
BuildRequires: kcodecs-devel >= %version
BuildRequires: kconfig-devel >= %version
BuildRequires: kguiaddons-devel >= %version
BuildRequires: kitemviews-devel >= %version
BuildRequires: kiconthemes-devel >= %version
BuildRequires: kwidgetsaddons-devel >= %version
BuildRequires: kdoctools-devel >= %version

BuildRequires: boost-devel
BuildRequires: gpgme-devel
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

Requires:      kauth

%description
KDE Frameworks 5 Tier 3 solution for password management.

%files -f %{name}d5.lang
%_kf5_bindir/kwalletd5
%_kf5_bindir/kwallet-query
%_datadir/dbus-1/services/*.service
%_kf5_datadir/kservices5/kwalletd5.desktop
%_kf5_datadir/knotifications5/kwalletd.notifyrc
%_kf5_mandir/man1/kwallet-query.1.*

#--------------------------------------------------------------------

%define kf5wallet_major 5
%define libkf5wallet %mklibname kf5wallet %{kf5wallet_major}

%package -n %libkf5wallet
Summary:  KDE Frameworks 5 Tier 3 solution for password management
Group:        System/Libraries

%description -n %libkf5wallet
KDE Frameworks 5 Tier 3 solution for password management.

%files -n %libkf5wallet
%_kf5_libdir/libKF5Wallet.so.%{kf5wallet_major}*

#--------------------------------------------------------------------

%define kf5walletbackend5_major 5
%define libkf5walletbackend5 %mklibname kf5walletbackend5 %{kf5walletbackend5_major}

%package -n %libkf5walletbackend5
Summary: KDE Frameworks 5 Tier 3 solution for password management
Group:        System/Libraries

%description -n %libkf5walletbackend5
KDE Frameworks 5 Tier 3 solution for password management.

%files -n %libkf5walletbackend5
%_kf5_libdir/libkwalletbackend5.so.%{kf5walletbackend5_major}*

#--------------------------------------------------------------------

%define kf5wallet_devel %mklibname kf5wallet -d

%package -n %kf5wallet_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5wallet = %version-%release
Requires:       %libkf5walletbackend5 = %version-%release
Provides:       %name-devel = %{version}-%{release}
Requires:       kconfig-devel = %version
Requires:       kwindowsystem-devel = %version
Requires:       pkgconfig(Qt5Core)

%description -n %kf5wallet_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5wallet_devel
%_kf5_includedir/KWallet
%_kf5_includedir/kwallet_version.h
%_kf5_libdir/cmake/KF5Wallet
%_kf5_libdir/*.so
%_kf5_mkspecsdir/*.pri
%_datadir/dbus-1/interfaces/kf5_org.kde.KWallet.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang --all %{name}d5


%changelog
* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088995
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074567
- New version 5.29.0

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-3.mga6
+ Revision: 1073880
- Remove old/unused BR ( thanks david_david)

* Fri Dec 09 2016 neoclust <neoclust> 5.28.0-2.mga6
+ Revision: 1073878
- Rebuild against new QGpgme

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072231
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058386
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050563
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049212
- enable KF5Gpgmepp support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045141
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041363
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021961
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014371
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999661
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986354
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942280
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921307
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913073
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909896
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900619
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899363
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898951
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888191
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881415
- New version 5.14.0

* Mon Sep 14 2015 fwang <fwang> 5.13.0-6.mga6
+ Revision: 879065
- rebuild for new libgcrypt

* Fri Aug 21 2015 neoclust <neoclust> 5.13.0-5.mga6
+ Revision: 867388
- Add kauth as a runtime deps

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-4.mga6
+ Revision: 863500
- Rebuild against fixed kf5-macros

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-3.mga6
+ Revision: 863435
- Workaround dbus interface error

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862976
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862678
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Wed Jul 15 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 854236
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844566
- New version 5.11.0

* Mon Feb 23 2015 lmenut <lmenut> 5.5.0-3.mga5
+ Revision: 816643
- add upstream patch to fix random wallet open failure when updating
  (bko#343718)

* Mon Jan 12 2015 lmenut <lmenut> 5.5.0-2.mga5
+ Revision: 810190
- add patches from kwallet 5.6.0 to CVE-2013-7252 (mga#14997)
  fix kwalletd CBC encryption handling

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803936
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 748597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681245
- Mageia 5 Mass Rebuild

* Fri Aug 08 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660974
- New version 5.1.0

* Mon Jul 21 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 655209
- Rebuild against new kf5 macros

* Mon Jul 14 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651844
- New version 5.0.0

* Sat Apr 05 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612169
- New version
- Rename as upstream

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599872
- New version 4.97.0
- New version 4.97.0

* Wed Feb 19 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594677
- imported package kwallet-framework

